MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028225Open CASCADE[OCCT] OCCT:Samplespublic2016-12-15 12:532017-09-29 16:29
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028225: MFC sample on OCAF uses old-style definition of a Handle-class
DescriptionMFC sample on OCAF uses old-style definition of a Handle-classes: <opencascade folder>\samples\mfc\standard\06_Ocaf\src
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069417)
git (administrator)
2017-08-15 17:46

Branch CR28225 has been created by abv.

SHA-1: af7576883e2f9a2ea521d659bbab9d8b72e5fed5


Detailed log of new commits:

Author: abv
Date: Tue Aug 15 17:46:38 2017 +0300

    0028225: MFC sample on OCAF uses old-style definition of a Handle-class
    
    Obsolete approach to definition of OCCT RTTI in sample classes generated by WOK from CDL is replaced by usage of standard macros
(0069425)
abv (manager)
2017-08-15 19:55

I have pushed correction to branch CR28225, please review. Compilation has passed on all platforms, see Jenkins job CR28225-master-abv. Since only OCAF MFC sample has been touched, no testing is required (apart of testing the sample -- to be done before the release anyway).
(0069618)
git (administrator)
2017-08-18 17:00

Branch CR28225 has been deleted by kgv.

SHA-1: af7576883e2f9a2ea521d659bbab9d8b72e5fed5

- Related Changesets
occt: master d7a28eda
Timestamp: 2017-08-15 14:46:38
Author: abv
Committer: bugmaster
Details ] Diff ]
0028225: MFC sample on OCAF uses old-style definition of a Handle-class

Obsolete approach to definition of OCCT RTTI in sample classes generated by WOK from CDL is replaced by usage of standard macros
mod - samples/mfc/standard/01_Geometry/src/GeoAlgo_Sol.hxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafApp.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OCAFSample_CommonDriver.cxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OCAFSample_CommonDriver.hxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OCAFSample_Driver.hxx Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/src/OCAFSample_Driver.ixx Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/src/OCAFSample_Driver.jxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_BoxDriver.cxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_BoxDriver.hxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CutDriver.cxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CutDriver.hxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CylDriver.cxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CylDriver.hxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.cxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.hxx Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.ixx Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.jxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-15 12:53 vro New Issue
2016-12-15 12:53 vro Assigned To => bugmaster
2017-04-20 10:23 bugmaster Assigned To bugmaster => ski
2017-08-15 17:46 git Note Added: 0069417
2017-08-15 19:55 abv Note Added: 0069425
2017-08-15 19:55 abv Assigned To ski => vro
2017-08-15 19:55 abv Status new => resolved
2017-08-15 19:55 abv Steps to Reproduce Updated View Revisions
2017-08-16 07:39 vro Assigned To vro => bugmaster
2017-08-16 07:39 vro Status resolved => reviewed
2017-08-16 12:39 bugmaster Status reviewed => tested
2017-08-18 12:53 bugmaster Changeset attached => occt master d7a28eda
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 12:53 bugmaster Resolution open => fixed
2017-08-18 13:02 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069618
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker